%define         _kernel_ver     %(uname -r)
%define         _kernel_ver_str 2.4.20_18
%define		_orig_name      bcm4400

Summary:	Broadcom BCM4400 series driver for Linux
Name:		kernel-net-%{_orig_name}
Version:	2.0.0
%define	_rel	1
Release:	%{_rel}_%{_kernel_ver_str}
License:	GPL
Vendor:		Broadcom Corporation
Group:		Base/Kernel
Source0:	%{_orig_name}-%{version}.tar.gz
BuildRequires:	gcc >= 3.2, kernel-source >= 2.4.20
Prereq:		/sbin/depmod
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Linux driver module 'bcm4400.o' 
for the Broadcom BCM4400 10/100 Ethernet network adapter.

%package -n kernel-smp-net-%{_orig_name}
Summary:	Broadcom BCM4400 driver for Linux SMP
Release:	%{_rel}_%{_kernel_ver_str}
Group:		Base/Kernel
Prereq:		/sbin/depmod

%description -n kernel-smp-net-%{_orig_name}
This package contains the Linux SMP driver module 'bcm4400.o' for
the Broadcom BCM4400 series 10/100 Mbps Ethernet Network Cdapter.

%prep
%setup -q -n src

%build
%{__make} SMP=1 CC="gcc -DCONFIG_X86_LOCAL_APIC -DSTB_WA" KSRC=%{_kernelsrcdir}
mv -f %{_orig_name}.o %{_orig_name}-smp.o
%{__make} clean KSRC=%{_kernelsrcdir}
%{__make} CC="gcc -DSTB_WA" KSRC=%{_kernelsrcdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/drivers/net
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/kernel/drivers/net
install -d $RPM_BUILD_ROOT/%{_mandir}/man4
install %{_orig_name}-smp.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/kernel/drivers/net/%{_orig_name}.o
install %{_orig_name}.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/drivers/net/%{_orig_name}.o
install %{_orig_name}.4.gz $RPM_BUILD_ROOT/%{_mandir}/man4/%{_orig_name}.4.gz

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/depmod -a

%postun
/sbin/depmod -a

%post -n kernel-smp-net-%{_orig_name}
/sbin/depmod -a

%postun -n kernel-smp-net-%{_orig_name}
/sbin/depmod -a

%files
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/kernel/drivers/net/*
%{_mandir}/man4/%{_orig_name}.4.gz

%files -n kernel-smp-net-%{_orig_name}
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/kernel/drivers/net/*
%{_mandir}/man4/%{_orig_name}.4.gz

%changelog
* Sat May 24 2003 Ole Aamot <ole@aamot.org> 2.0.0

- Initial packaging for Red Hat Linux 9 kernel 2.4.20-8.
